const fs = require('fs');
const postcss = require('postcss');
const atImport = require('postcss-import');
const autoprefixer = require('autoprefixer');
const cssnano = require('cssnano');
const stylelint = require('stylelint');
const reporter = require('postcss-reporter');

const css = fs.readFileSync('import.css');

postcss([
  atImport,
  stylelint,
  reporter,
  autoprefixer,
  cssnano
]).process(css)
  .then(function (result) {
    console.log(result.css);
  });
