module.exports = {
  entry: './app.js',
  module: {
    loaders: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        loader: 'babel-loader',
        query: {
          presets: ['es2015'],
          plugins: ['transform-react-jsx'],
        },
      },
      {
        test: /\.css$/,
        loaders: ['style', 'css?modules'],
      },
    ],
  },
  output: {
    path: __dirname,
    filename: 'bundle.js',
  }
};
